Name:      mozilla
Summary:   mozilla - an open source web browser
Version:   M17
Release:   3
Serial:    2
Copyright: MPL/NPL
Source0:   mozilla-source-M17.tar.bz2
Source1:   mozilla.sh
Source2:   mozilla-M17-chrome.tar
Buildroot: /var/tmp/mozilla-root
Prefix:    /usr
Group:     Applications/Internet
Provides:  webclient
BuildPrereq: libpng-devel, libjpeg-devel, zlib-devel
ExclusiveArch: %ix86

# http://bugzilla.mozilla.org/show_bug.cgi?id=45808
Patch1: mozilla-M17-focus.patch

# http://bugzilla.mozilla.org/show_bug.cgi?id=26509
Patch2: mozilla-M17-grab.patch

# http://bugzilla.mozilla.org/show_bug.cgi?id=47679
Patch4: mozilla-M17-clip.patch

# http://bugzilla.mozilla.org/show_bug.cgi?id=40942
# http://bugzilla.mozilla.org/show_bug.cgi?id=47816
Patch5: mozilla-M17-draw_composited.patch

# patch for sign warnings in gtkmozembed.h header - for ramiro
Patch6: mozilla-M17-unsigned.patch

Patch10: drepper.patch

%package devel
Summary: development files for Mozilla
Group: Development/Libraries
Requires: mozilla = %{version}

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability.

%description devel
Development files for mozilla

%prep

%setup -q -n mozilla
%patch1 -p1 -b .focus
%patch2 -p1 -b .grab
%patch4 -p1 -b .clip
%patch5 -p1 -b .draw_composited
%patch6 -p1 -b .unsigned

export POSIXLY_CORRECT=1
%patch10 -p0 -b .gcc

# remove the CVS directories NOW rather than after installing them ;)
find . -type d -name CVS -exec rm -rf {} \; || :

BUILD_OFFICIAL=1 ./configure --prefix=%{_prefix} --enable-optimize \
	--disable-debug \
	--enable-strip-libs --disable-tests
#	--enable-elf-dynstr-gc \

%build

if [ -x /usr/bin/getconf ]; then
#  CPUS=`getconf _NPROCESSORS_ONLN`
  CPUS=4
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

BUILD_OFFICIAL=1 make -s export
BUILD_OFFICIAL=1 make -s -j $CPUS libs
BUILD_OFFICIAL=1 make -s -j $CPUS install

cd dist/bin
chmod -R +rw chrome
cp -Rf ../lib/components/* components
cp -Rf ../lib/*.so .

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib/mozilla
mkdir -p $RPM_BUILD_ROOT/%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT/%{prefix}/include/mozilla/idl

cp -r dist/bin/* $RPM_BUILD_ROOT/%{prefix}/lib/mozilla/
cp -r dist/include/* $RPM_BUILD_ROOT/%{prefix}/include/mozilla
cp -r dist/idl/* $RPM_BUILD_ROOT/%{prefix}/include/mozilla/idl
install -c -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{prefix}/bin/mozilla
cd $RPM_BUILD_ROOT/%{prefix}/lib/mozilla
LD_LIBRARY_PATH=`pwd` MOZILLA_FIVE_HOME=`pwd` ./regxpcom
# set up the chrome rdf files
LD_LIBRARY_PATH=`pwd` MOZILLA_FIVE_HOME=`pwd` ./regchrome
# fix permissions of the chrome directories
find . -type d -perm 0700 -exec chmod 755 {} \; || :
# untar the missing chrome files
tar xvf %{SOURCE2}

%clean
#rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/mozilla

%files
%defattr(-,root,root)
%{prefix}/bin/mozilla
%dir %{prefix}/lib/mozilla
%{prefix}/lib/mozilla/*

%files devel
%defattr(-,root,root)
%dir %{prefix}/include/mozilla
%{prefix}/include/mozilla/*

%changelog
* Fri Aug 18 2000 Matt Wilson <msw@redhat.com>
- added patch to work around va_arg mess on gcc 2.96

* Wed Aug  9 2000 Christopher Blizzard <blizzard@redhat.com>
- Use official M17 source tarball

* Tue Aug  8 2000 Christopher Blizzard <blizzard@redhat.com>
- Add patch to fix crash when viewing some rgba images
- Add patch to fix sign warnings in gtkmozembed.h header

* Mon Aug  7 2000 Christopher Blizzard <blizzard@redhat.com>
- Build M17 official
- Add patch to fix crash when viewing some png images
- Add patch to fix context menu popup grab behaviour
- Add patch to fix focus problems with the file upload widget

* Thu Jul 27 2000 Christopher Blizzard <blizzard@redhat.com>
- Update to M17 snapshot

* Mon Jul 24 2000 Christopher Blizzard <blizzard@redhat.com>
- Update to most recent snapshot
- Added chrome rdf hacks

* Tue Mar 14 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- initial RPM
